### File

`packages/eui/packages/components-next/src/lib/components/eui-autocomplete/testing/eui-autocomplete-chips-async-test.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `eui-autocomplete-test-component`

template

    <form [formGroup]="form">
        <eui-autocomplete
            #autocomplete
            [hasChips]="true"
            async
            formControlName="autocomplete"
            [autocompleteData]="autocompleteDataFormAutocomplete">
        </eui-autocomplete>
        <input class="default-formcontrol" type="text" formControlName="text">
    </form>

### Index

###### Properties

- autocomplete
- Public autocompleteDataFormAutocomplete
- Public form

### Properties

autocomplete
Type : `EuiAutocompleteComponent`
Decorators : `@ViewChild('autocomplete')`

Public autocompleteDataFormAutocomplete
Type : `[]`
Default value : `[]`

Public form
Type : `FormGroup`

# result-matching ""

# No results matching ""